Get a business by id
curl --request GET \
--url https://api-sandbox.orum.io/deliver/businesses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Orum-Version: <orum-version>'import requests
url = "https://api-sandbox.orum.io/deliver/businesses/{id}"
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Orum-Version': '<orum-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-sandbox.orum.io/deliver/businesses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"business": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_reference_id": "<string>",
"legal_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"business_name": "<string>",
"entity_type": "<string>",
"tax_id_type": "<string>",
"account_holder_name": "<string>",
"incorporation_date": "<string>",
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "US",
"zip5": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address2": "<string>"
}
],
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Businesses
Get Business By ID
Get a business object.
GET
/
deliver
/
businesses
/
{id}
Get a business by id
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
Available options:
v2022-09-21 Path Parameters
Orum generated unique id for the business you are fetching. Orum generated unique id for the resource.
Response
200 response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I